Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Constraint_Visitor Class Reference

`#include <Notify_Constraint_Visitors.h>`

Collaboration diagram for TAO_Notify_Constraint_Visitor:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Constraint_Visitor (void)
int | bind_structured_event (const CosNotification::StructuredEvent &s_event)
CORBA::Boolean | evaluate_constraint (TAO_ETCL_Constraint *root)
int | visit_literal (TAO_ETCL_Literal_Constraint *)
int | visit_identifier (TAO_ETCL_Identifier *)
int | visit_union_value (TAO_ETCL_Union_Value *)
int | visit_union_pos (TAO_ETCL_Union_Pos *)
int | visit_component_pos (TAO_ETCL_Component_Pos *)
int | visit_component_assoc (TAO_ETCL_Component_Assoc *)
int | visit_component_array (TAO_ETCL_Component_Array *)
int | visit_special (TAO_ETCL_Special *)
int | visit_component (TAO_ETCL_Component *)
int | visit_dot (TAO_ETCL_Dot *)
int | visit_eval (TAO_ETCL_Eval *)
int | visit_default (TAO_ETCL_Default *)
int | visit_exist (TAO_ETCL_Exist *)
int | visit_unary_expr (TAO_ETCL_Unary_Expr *)
int | visit_binary_expr (TAO_ETCL_Binary_Expr *)
int | visit_preference (TAO_ETCL_Preference *)
## Private Methods
int | visit_or (TAO_ETCL_Binary_Expr *)
int | visit_and (TAO_ETCL_Binary_Expr *)
int | visit_twiddle (TAO_ETCL_Binary_Expr *)
int | visit_in (TAO_ETCL_Binary_Expr *)
int | visit_binary_op (TAO_ETCL_Binary_Expr *binary_expr, int op_type)
CORBA::Boolean | sequence_does_contain (const CORBA::Any *any, TAO_ETCL_Literal_Constraint &item)
CORBA::Boolean | array_does_contain (const CORBA::Any *any, TAO_ETCL_Literal_Constraint &item)
CORBA::Boolean | struct_does_contain (const CORBA::Any *any, TAO_ETCL_Literal_Constraint &item)
CORBA::Boolean | union_does_contain (const CORBA::Any *any, TAO_ETCL_Literal_Constraint &item)
CORBA::Boolean | any_does_contain (const CORBA::Any *any, TAO_ETCL_Literal_Constraint &item)
CORBA::Boolean | simple_type_match (int expr_type, CORBA::TCKind tc_kind)
## Private Attributes
ACE_Hash_Map_Manager< ACE_CString, CORBA::Any *, TAO_SYNCH_MUTEX > | property_lookup_
ACE_Unbounded_Queue< TAO_ETCL_Literal_Constraint > | queue_
CORBA::Any_var | current_member_

## Constructor & Destructor Documentation

TAO_Notify_Constraint_Visitor::TAO_Notify_Constraint_Visitor | ( | void |  | ) |

## Member Function Documentation

CORBA::Boolean TAO_Notify_Constraint_Visitor::any_does_contain | ( | const CORBA::Any * | any,
|  | TAO_ETCL_Literal_Constraint & | item
| ) | `[private]`

CORBA::Boolean TAO_Notify_Constraint_Visitor::array_does_contain | ( | const CORBA::Any * | any,
|  | TAO_ETCL_Literal_Constraint & | item
| ) | `[private]`

int TAO_Notify_Constraint_Visitor::bind_structured_event | ( | const CosNotification::StructuredEvent & | s_event | ) |

CORBA::Boolean TAO_Notify_Constraint_Visitor::evaluate_constraint | ( | TAO_ETCL_Constraint * | root | ) |

CORBA::Boolean TAO_Notify_Constraint_Visitor::sequence_does_contain | ( | const CORBA::Any * | any,
|  | TAO_ETCL_Literal_Constraint & | item
| ) | `[private]`

CORBA::Boolean TAO_Notify_Constraint_Visitor::simple_type_match | ( | int | expr_type,
|  | CORBA::TCKind | tc_kind
| ) | `[private]`

CORBA::Boolean TAO_Notify_Constraint_Visitor::struct_does_contain | ( | const CORBA::Any * | any,
|  | TAO_ETCL_Literal_Constraint & | item
| ) | `[private]`

CORBA::Boolean TAO_Notify_Constraint_Visitor::union_does_contain | ( | const CORBA::Any * | any,
|  | TAO_ETCL_Literal_Constraint & | item
| ) | `[private]`

int TAO_Notify_Constraint_Visitor::visit_and | ( | TAO_ETCL_Binary_Expr * | binary | ) | `[private]`

int TAO_Notify_Constraint_Visitor::visit_binary_expr | ( | TAO_ETCL_Binary_Expr * | binary_expr | ) |

int TAO_Notify_Constraint_Visitor::visit_binary_op | ( | TAO_ETCL_Binary_Expr * | binary,
|  | int | op_type
| ) | `[private]`

int TAO_Notify_Constraint_Visitor::visit_component | ( | TAO_ETCL_Component * | component | ) |

int TAO_Notify_Constraint_Visitor::visit_component_array | ( | TAO_ETCL_Component_Array * | array | ) |

int TAO_Notify_Constraint_Visitor::visit_component_assoc | ( | TAO_ETCL_Component_Assoc * | assoc | ) |

int TAO_Notify_Constraint_Visitor::visit_component_pos | ( | TAO_ETCL_Component_Pos * | pos | ) |

int TAO_Notify_Constraint_Visitor::visit_default | ( | TAO_ETCL_Default * | def | ) |

int TAO_Notify_Constraint_Visitor::visit_dot | ( | TAO_ETCL_Dot * | dot | ) |

int TAO_Notify_Constraint_Visitor::visit_eval | ( | TAO_ETCL_Eval * | eval | ) |

int TAO_Notify_Constraint_Visitor::visit_exist | ( | TAO_ETCL_Exist * | exist | ) |

int TAO_Notify_Constraint_Visitor::visit_identifier | ( | TAO_ETCL_Identifier * | ident | ) |

int TAO_Notify_Constraint_Visitor::visit_in | ( | TAO_ETCL_Binary_Expr * | binary | ) | `[private]`

int TAO_Notify_Constraint_Visitor::visit_literal | ( | TAO_ETCL_Literal_Constraint * | literal | ) |

int TAO_Notify_Constraint_Visitor::visit_or | ( | TAO_ETCL_Binary_Expr * | binary | ) | `[private]`

int TAO_Notify_Constraint_Visitor::visit_preference | ( | TAO_ETCL_Preference * |  | ) |

int TAO_Notify_Constraint_Visitor::visit_special | ( | TAO_ETCL_Special * | special | ) |

int TAO_Notify_Constraint_Visitor::visit_twiddle | ( | TAO_ETCL_Binary_Expr * | binary | ) | `[private]`

int TAO_Notify_Constraint_Visitor::visit_unary_expr | ( | TAO_ETCL_Unary_Expr * | unary_expr | ) |

int TAO_Notify_Constraint_Visitor::visit_union_pos | ( | TAO_ETCL_Union_Pos * | union_pos | ) |

int TAO_Notify_Constraint_Visitor::visit_union_value | ( | TAO_ETCL_Union_Value * | union_value | ) |

## Member Data Documentation

CORBA::Any_var TAO_Notify_Constraint_Visitor::current_member_`[private]`

ACE_Hash_Map_Manager<ACE_CString, CORBA::Any*, TAO_SYNCH_MUTEX> TAO_Notify_Constraint_Visitor::property_lookup_`[private]`

ACE_Unbounded_Queue<TAO_ETCL_Literal_Constraint> TAO_Notify_Constraint_Visitor::queue_`[private]`

The documentation for this class was generated from the following files:

- Notify_Constraint_Visitors.h
- Notify_Constraint_Visitors.cpp